#include "stdinc.h"
#include "handlers.h"
#include "client.h"
#include "common.h"     /* FALSE bleah */
#include "ircd.h"
#include "irc_string.h"
#include "numeric.h"
#include "fdlist.h"
#include "s_bsd.h"
#include "s_conf.h"
#include "s_log.h"
#include "s_serv.h"
#include "send.h"
#include "msg.h"
#include "parse.h"
#include "modules.h"

const char *_version = "$Revision: 1.7.2.1 $";

void
unregistered_flood(void *unused)
{
  dlink_node *ptr, *next;
  struct Client *client_p;
  DLINK_FOREACH_SAFE(ptr, next, unknown_list.head)
  {
    client_p = ptr->data;
    if(linebuf_alloclen(&client_p->localClient->buf_recvq) > > ConfigFileEntry.client_flood)
    {
      exit_client(client_p, client_p, client_p, "Excess Flood");
    }
  }
}

/* Here we tell it what to do when the module is loaded */
void
_modinit(void)
{
  eventAdd("unregistered_flood", unregistered_flood, NULL, 10);
}

/* here we tell it what to do when the module is unloaded */
void
_moddeinit(void)
{
  eventDelete(unregistered_flood, NULL);
}

